Class Fox::FXMessageBox

In: | FXMessageBox.rb
Parent: | FXDialogBox

Message box

### Message box buttons

`MBOX_OK`: | Message box has a only an Ok button
`MBOX_OK_CANCEL`: | Message box has Ok and Cancel buttons
`MBOX_YES_NO`: | Message box has Yes and No buttons
`MBOX_YES_NO_CANCEL`: | Message box has Yes, No, and Cancel buttons
`MBOX_QUIT_CANCEL`: | Message box has Quit and Cancel buttons
`MBOX_QUIT_SAVE_CANCEL`: | Message box has Quit, Save, and Cancel buttons

### Return values

`MBOX_CLICKED_YES`: | The Yes button was clicked
`MBOX_CLICKED_NO`: | The No button was clicked
`MBOX_CLICKED_OK`: | The Ok button was clicked
`MBOX_CLICKED_CANCEL`: | The Cancel button was clicked
`MBOX_CLICKED_QUIT`: | The Quit button was clicked
`MBOX_CLICKED_SAVE`: | The Save button was clicked

Methods

error information new new question warning

Public Class methods

new(owner, caption, text, ic=nil, opts=0, x=0, y=0) {|theMessageBox| ...}

Construct message box with given caption, icon, and message text.

new(anApp, caption, text, ic=nil, opts=0, x=0, y=0) {|theMessageBox| ...}

Construct free-floating message box with given caption, icon, and message text.

error(owner, opts, caption, message)

Show a modal error message; returns one of the return values listed above.

warning(owner, opts, caption, message)

Show a modal warning message; returns one of the return values listed above.

question(owner, opts, caption, message)

Show a modal question dialog; returns one of the return values listed above.

information(owner, opts, caption, message)

Show a modal information dialog; returns one of the return values listed above.